org.jboss.jca.core.security.picketbox

## Class PicketBoxSubjectFactory

- java.lang.Object
- - org.jboss.jca.core.security.picketbox.PicketBoxSubjectFactory

- All Implemented Interfaces:
    org.jboss.jca.core.spi.security.SubjectFactory

      public class PicketBoxSubjectFactory
      extends java.lang.Object
      implements org.jboss.jca.core.spi.security.SubjectFactory

  A SubjectFactory implementation backed by PicketBox
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicketBoxSubjectFactory(org.jboss.security.SubjectFactory delegator)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.Subject` | `createSubject()` Create a Subject instance based on the default policy of the implementation
    `javax.security.auth.Subject` | `createSubject(java.lang.String sd)` Create a Subject instance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PicketBoxSubjectFactory

          public PicketBoxSubjectFactory(org.jboss.security.SubjectFactory delegator)

      Constructor
      Parameters:
        `delegator` - The delegator

  - ### Method Detail

    - #### createSubject

          public javax.security.auth.Subject createSubject()

      Create a Subject instance based on the default policy of the implementation
      Specified by:
        `createSubject` in interface `org.jboss.jca.core.spi.security.SubjectFactory`
      Returns:
        The Subject

    - #### createSubject

          public javax.security.auth.Subject createSubject(java.lang.String sd)

      Create a Subject instance
      Specified by:
        `createSubject` in interface `org.jboss.jca.core.spi.security.SubjectFactory`
      Parameters:
        `sd` - The security domain
      Returns:
        The Subject

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)